#include <stdio.h>

#include "io.h"
#include "array.h"

int prompt_value(const char* msg, int* result) {
    puts(msg);
    int retVal = scanf("%d", result);
    return (retVal == 1) ? 0 : 1;
}

int* prompt_array(int array[], unsigned* size) {
    int errno = prompt_value("Taille du tableau?", (int*)size);
    array = create_tab(array, *size);
    for (unsigned i = 0; i < *size; i++) {
       errno += prompt_value("Valeur?", &array[i]);
    }
    if (errno == 0) {
        return array;
    } else {
        return NULL;
    }
}

void display_array(int* array, int size) {
    if (array != NULL) {
        printf("--array begin--\n");
        for (int i = 0; i < size; i++) {
            printf("value in array at index[%d]=%d\n", i, array[i]);
        }
        printf("--array end--\n");
    } else {
        printf("--array NULL--\n");
    }
}
